
Foreman - Feature #35286

New PXEGrub2 template required in order to deploy Ubuntu 22 on EFI systems

07/26/2022 02:11 PM - Marcel Kühlhorn

Status: Closed   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases: 3.6.0

Triaged: Yes Found in Releases: 3.1.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9459

  

Description

Ubuntu 22.04 can no longer use the Preseed default PXEGrub2 template as it no longer supports the legacy Debian installer

A new template using Ubuntu Autoinstall is needed

Associated revisions

Revision a0dae9e5 - 12/05/2022 03:20 PM - Marcel Kuehlhorn 

Fixes #35286 - New PXEGrub2 template for Ubuntu Autoinstall

- Introduce new PXEGrub2 Autoinstall template

- Move network configuration out of PXELinux Autoinstall template to

new preseed_kernel_options_autoinstall snippet

- Add snapshot for preseed_kernel_options_autoinstall

- Add snapshot for preseed_default_pxegrub2_autoinstall

- Integrate snapshot in testing environment

History

#1 - 10/11/2022 12:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9459 added

#2 - 12/05/2022 03:21 PM - The Foreman Bot

- Fixed in Releases 3.6.0 added

#3 - 12/05/2022 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a0dae9e5ca5937baa4daa6db589974da6b570c95.

#4 - 12/14/2022 12:01 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

#5 - 03/10/2023 03:01 PM - Ewoud Kohl van Wijngaarden

- Category changed from Templates to Unattended installations
